Intermittent remoteautomation.py | application crashed [@ libc.so + 0x1c3dc]

RESOLVED INCOMPLETE

Status

()

Firefox for Android
Testing
P3
normal
RESOLVED INCOMPLETE
2 years ago
a month ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

The crash was induced by the harness:

[task 2016-10-11T01:30:01.513217Z] 01:30:01     INFO -  mozdevice ERROR | Timeout exceeded for shell call 'adb shell dumpsys window windows; echo $?'
[task 2016-10-11T01:30:31.568908Z] 01:30:31     INFO -  mozdevice ERROR | Timeout exceeded for _runCmd call 'adb shell ls -a /storage/sdcard/tests/reftest/reftest.log'
[task 2016-10-11T01:30:40.009505Z] 01:30:40     INFO -  org.mozilla.fennec still alive after SIGABRT: waiting...

In the logcat, I see the process started at 10-10 18:28:41.741 and still starting up at 10-10 18:30:39.772, when it is killed.

The mozharness script was still able to communicate with the emulator and adb at shutdown time.

Did the adb timeouts cause the abort? What caused the adb timeouts?

Updated

2 years ago
Priority: -- → P3

Comment 2

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 6
* mozilla-inbound: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2016-10-10&endday=2016-10-16&tree=all

Comment 3

a year ago
7 failures in 715 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 6
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2016-11-14&endday=2016-11-20&tree=all
Depends on: 1319196

Comment 4

a year ago
5 failures in 833 pushes (0.006 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-02-13&endday=2017-02-19&tree=all
Recent Android mochitest-32 failures reported here will be handled in bug 1345350.
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 6

7 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 7

7 months ago
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 8

6 months ago
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 9

6 months ago
2 failures in 857 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 2

Platform breakdown:
* android-4-3-armv7-api16: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-10-30&endday=2017-11-05&tree=all
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 10

5 months ago
1 failures in 744 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-11-20&endday=2017-11-26&tree=all

Comment 11

4 months ago
3 failures in 889 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 2
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-12-04&endday=2017-12-10&tree=all

Comment 12

4 months ago
3 failures in 590 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 2
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 2
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2017-12-18&endday=2017-12-24&tree=all

Comment 13

3 months ago
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2018-01-08&endday=2018-01-14&tree=all

Comment 14

3 months ago
1 failures in 701 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2018-01-22&endday=2018-01-28&tree=all

Comment 15

2 months ago
2 failures in 702 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api16: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2018-02-05&endday=2018-02-11&tree=all

Comment 16

2 months ago
1 failures in 685 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1309088&startday=2018-02-12&endday=2018-02-18&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 10 months agoa month ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.